Groovy 1.7.0

## org.codehaus.groovy.groovydoc
Interface GroovyFieldDoc

    org.codehaus.groovy.groovydoc.GroovyProgramElementDoc
      org.codehaus.groovy.groovydoc.GroovyFieldDoc
          org.codehaus.groovy.groovydoc.GroovyMemberDoc
              org.codehaus.groovy.groovydoc.GroovyDoc

All Superinterfaces:
  GroovyProgramElementDoc, GroovyDoc, GroovyMemberDoc

    interface GroovyFieldDoc
    extends GroovyMemberDoc

Method Summary
`Object` | `constantValue()`
`String` | `constantValueExpression()`
`boolean` | `isTransient()`
`boolean` | `isVolatile()`
`GroovyType` | `type()`

Methods inherited from interface GroovyMemberDoc
isSynthetic

Methods inherited from interface GroovyProgramElementDoc
annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName

Methods inherited from interface GroovyDoc
commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText

Methods inherited from interface Comparable
compareTo

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Method Detail

### constantValue

    public Object constantValue()

### constantValueExpression

    public String constantValueExpression()

### isTransient

    public boolean isTransient()

### isVolatile

    public boolean isVolatile()

### type

    public GroovyType type()

Copyright © 2003-2009 The Codehaus. All rights reserved.